window.addEventListener("message", window.WebView.postMessage);

function postTime(seconds) {
    document.getElementById("overlay").contentWindow.postMessage({
        type: "time",
        time: seconds
    }, "*");
    return seconds;
}

var timeout = null;

const onLoaded = () => {
   console.log('LOADED')
   clearTimeout(timeout)
}
const loadTeletarget = (URL) => {
    let overlay = document.getElementById("overlay");

    if (!overlay) return '';

    if (timeout) clearTimeout(timeout);
    timeout = setTimeout(() => {
       console.log('TIMEOUT')

       overlay.removeEventListener("load", onLoaded);

       overlay.src = '';
    }, 30000)

    overlay.addEventListener('load', onLoaded)


    overlay.src = URL;
    return URL
}